#pragma once

#include "resource.h"

class FilesDlg : 
	public CDialogImpl<FilesDlg>
{
public:
	FilesDlg(const TCHAR* initTitle);
	~FilesDlg();

	enum { IDD = IDD_FILESDLG };
	list<tstring> files;
	tstring selected;

BEGIN_MSG_MAP(FilesDlg)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_ID_HANDLER(IDC_LIST, OnList)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnList(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);

private:
	void DoOK();

	tstring title;
};
